### Function

# Gimp eraser

#### Declaration [src]

    gboolean
    gimp_eraser (
      GimpDrawable* drawable,
      gint num_strokes,
      const gdouble* strokes,
      GimpBrushApplicationMode hardness,
      GimpPaintApplicationMode method
    )

#### Description [src]

Erase using the current brush.

This tool erases using the current brush mask. If the specified drawable contains an alpha channel, then the erased pixels will become transparent. Otherwise, the eraser tool replaces the contents of the drawable with the background color. Like paintbrush, this tool linearly interpolates between the specified stroke coordinates.

#### Parameters

`drawable` | `GimpDrawable`
| The affected drawable.
| The data is owned by the caller of the function.
`num_strokes` | `gint`
| Number of stroke control points (count each coordinate as 2 points).
`strokes` | An array of `double`
| Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, …, sn.x, sn.y }.
| The length of the array is specified in the `num_strokes` argument.
| The data is owned by the caller of the function.
`hardness` | `GimpBrushApplicationMode`
| How to apply the brush.
`method` | `GimpPaintApplicationMode`
| The paint method to use.

#### Return value

Returns: | `gboolean`
| TRUE on success.